Returns the shape to be used at the end of open subpaths when they are stroked

- « ImagickDraw::getStrokeDashOffset

- ImagickDraw::getStrokeLineJoin »

- PHP Manual
- ImagickDraw
- Returns the shape to be used at the end of open subpaths when they are stroked

# ImagickDraw::getStrokeLineCap

(PECL imagick 2, PECL imagick 3)

ImagickDraw::getStrokeLineCap — Returns the shape to be used at the end of open subpaths when they are stroked

### Description

public ImagickDraw::getStrokeLineCap(): int
Warning

This function is currently not documented; only its argument list is available.

Returns the shape to be used at the end of open subpaths when they are stroked.

### Return Values

Returns a LINECAP constant (`imagick::LINECAP_*`), or 0 if stroke linecap is not set.